How To Downgrade Php From 7

yum -y install php70w-pdo php70w-mysqlnd php70w-opcađậy php70w-xml php70w-mcrypt php70w-gdbut always said php 7.0 is obsolete version will be replace with 7.1

*

Is there any ways to lớn downgrade PHP. version, because I need to lớn install Magenlớn 2.1.7 that required php 7.0x version.

Bạn đang xem: How to downgrade php from 7


*

One always need to safely downgrade the PHP version using the commands.

The following are the commands for the downgrade of PHPhường. version:

yum downgrade phpThe above sầu command will give sầu the actions that yum will vày & proceed. Also you will need lớn vị the following

yum --disablerepo remi-php71 downgrade php

*

*

Well, after this problem I"ve stuông chồng in a few days, then today I found the question.

First thing remove php71 from system,

yum remove sầu php-comtháng php-cli mod-phpenable remi-php70

yum-config-manager --enable remi-php70after that disabled the 7.1

yum-config-manager --disable remi-php71then do

yum updatethen install php 7.0.x

yum -y install php70u php70u-pdo php70u-mysqlnd php70u-opcađậy php70u-xml php70u-mcrypt php70u-gd php70u-devel php70u-mysql php70u-intl php70u-mbstring php70u-bcmath php70u-json php70u-iconv php70u-soaprestart apache và it"s work.

Xem thêm: So Sánh Lxde Là Gì Và Nó Được Cài Đặt Như Thế Nào Trên Debian 10 Và Mx

I think this way is also work for downgrading from php 7 lớn 5


Share
Improve sầu this answer
Follow
answered Jul 26 "17 at 2:30
*

Don VincentDon Vincent
12311 gold badge11 silver badge55 bronze badges
Add a phản hồi |
2
As you have sầu php 7.1 from remi-php71 repository, you have khổng lồ switch khổng lồ remi-php70 repository

# yum-config-manager --disable remi-php71# yum-config-manager --enable remi-php70# yum downgrade php php-comtháng php-....P.S. php70u or php70w are from other repositories, please notice that mixing various repositories is a bad idea.


Share
Improve this answer
Follow
edited Aug 2 "17 at 8:50
answered Aug 2 "17 at 7:40
*

Remi ColletRemày Collet
26133 silver badges55 bronze badges
Add a phản hồi |

Your Answer


Thanks for contributing an answer to lớn Super User!

Please be sure lớn answer the question. Provide details & nội dung your research!

But avoid

Asking for help, clarification, or responding to other answers.Making statements based on opinion; bachồng them up with references or personal experience.

To learn more, see our tips on writing great answers.


Draft saved
Draft discarded

Sign up or log in


Sign up using Google
Sign up using Facebook
Sign up using Thư điện tử & Password
Submit

Post as a guest


Name
Thư điện tử Required, but never shown


Post as a guest


Name
E-Mail

Required, but never shown


Post Your Answer Discard

By clicking “Post Your Answer”, you agree to lớn our terms of service, privacy policy & cookie policy


Not the answer you're looking for? Browse other questions tagged centos apache-http-server php centos-7 downgrade or ask your own question.


The Overflow Blog
Featured on Meta
Related
1
CentOS: installing a PHPhường module without updating PHP..
1
CentOS 5.8 Server, manual install PHP 5.2.17
0
How bởi vì I downgrade php from 5.4 khổng lồ 5.3 in CentOS?
4
Downgrade PHPhường from 5.5.3 lớn 5.4.x in Ubuntu 13.10
0
Install ibản đồ on PHP 5.4 CentOS
3
PHPhường FPM / Nginx on Debian Jessie: error 500 & no logs
Hot Network Questions more hot questions

Question feed
Subscribe khổng lồ RSS
Question feed To subscribe lớn this RSS feed, copy và paste this URL into lớn your RSS reader.


Super User
Company
Staông xã Exchange Network
site design / biểu tượng logo © 2021 Stack Exchange Inc; user contributions licensed under cc by-sa. rev2021.3.16.38800


Super User works best with JavaScript enabled
*

Your privacy

By clicking “Accept all cookies”, you agree Staông xã Exchange can store cookies on your device and discđại bại information in accordance with our Cookie Policy.